
From: Martin Pool <mbp@sourcefrog.net>

It's slightly hard to see how these variables are used; this patch adds a
short description.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/fs.h    |    1 +
 25-akpm/include/linux/genhd.h |    3 ++-
 2 files changed, 3 insertions(+), 1 deletion(-)

diff -puN include/linux/fs.h~trivial-doc-patch-for-partitions include/linux/fs.h
--- 25/include/linux/fs.h~trivial-doc-patch-for-partitions	Tue Jul 27 14:29:17 2004
+++ 25-akpm/include/linux/fs.h	Tue Jul 27 14:29:17 2004
@@ -357,6 +357,7 @@ struct block_device {
 	struct block_device *	bd_contains;
 	unsigned		bd_block_size;
 	struct hd_struct *	bd_part;
+	/* number of times partitions within this device have been opened. */
 	unsigned		bd_part_count;
 	int			bd_invalidated;
 	struct gendisk *	bd_disk;
diff -puN include/linux/genhd.h~trivial-doc-patch-for-partitions include/linux/genhd.h
--- 25/include/linux/genhd.h~trivial-doc-patch-for-partitions	Tue Jul 27 14:29:17 2004
+++ 25-akpm/include/linux/genhd.h	Tue Jul 27 14:29:17 2004
@@ -82,7 +82,8 @@ struct disk_stats {
 struct gendisk {
 	int major;			/* major number of driver */
 	int first_minor;
-	int minors;
+	int minors;                     /* maximum number of minors, =1 for
+                                         * disks that can't be partitioned. */
 	char disk_name[32];		/* name of major driver */
 	struct hd_struct **part;	/* [indexed by minor] */
 	struct block_device_operations *fops;
_
